# Generated by Django 3.2.16 on 2023-02-09 09:36

# Django
import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ("djangocms_blog", "0039_auto_20200331_2227"),
    ]

    operations = [
        migrations.CreateModel(
            name="PostHighlightExtension",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "highlighted",
                    models.BooleanField(
                        db_index=True,
                        default=False,
                        help_text="Highlight this post in the blog list",
                        verbose_name="Highlight post",
                    ),
                ),
                (
                    "post",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="highlight_extension",
                        to="djangocms_blog.post",
                    ),
                ),
            ],
        ),
    ]
